Error: RevisionID: 1760 for revision set 1510 fails - when updating from 4.0 Service Pack 5 to 4.0 Service Pack 6

At times, it will be necessary to update your CRM database with the latest patch.  When updating from 4.0 Service Pack 5 to 4.0 Service Pack 6, you may receive Error:  RevisionID: 1760 for revision set 1510 fails - LoadSpec: 1760.ConstituentUpdate.Batch.xml Blackbaud.AppFx.Galileo.ServiceRevisions.Specs1510.zip ---> Object reference not set to an instance of an object.
Download and install the latest service pack, which contains all fixes from previous service packs. If you are running an older version, download and install the latest version and then the service pack. 

Environment

 Blackbaud CRM
 4.0
 4.0
 Service Pack 7

Was this article helpful?